matrix:
  platform:
  - debian12
  - debian13
  - ubuntu2204
  - ubuntu2404
  - macos
  - macos_arm64
  - windows
  bazel: [7.x, 8.x, 9.x, rolling]

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@fastcdr//:fastcdr'
bcr_test_module:
  module_path: test
  matrix:
    platform:
      - debian12
      - debian13
      - ubuntu2204
      - ubuntu2404
      - macos
      - macos_arm64
      - windows
    bazel: [7.x, 8.x, 9.x, rolling]
  tasks:
    run_tests:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //...
      test_targets:
        - //...